# app/api/v1/api.py
from fastapi import APIRouter

from app.api.v1.endpoints import health
from app.api.v1.endpoints import auth 
from app.api.v1.endpoints import users
from app.api.v1.endpoints import groups 
from app.api.v1.endpoints import invites
from app.api.v1.endpoints import lists
from app.api.v1.endpoints import items
from app.api.v1.endpoints import ocr
from app.api.v1.endpoints import expenses

api_router_v1 = APIRouter()

api_router_v1.include_router(health.router) # Path /health defined inside
api_router_v1.include_router(auth.router, prefix="/auth", tags=["Authentication"]) 
api_router_v1.include_router(users.router, prefix="/users",  tags=["Users"])
api_router_v1.include_router(groups.router, prefix="/groups", tags=["Groups"]) 
api_router_v1.include_router(invites.router, prefix="/invites", tags=["Invites"]) 
api_router_v1.include_router(lists.router, prefix="/lists", tags=["Lists"]) 
api_router_v1.include_router(items.router, tags=["Items"])
api_router_v1.include_router(ocr.router, prefix="/ocr", tags=["OCR"])
api_router_v1.include_router(expenses.router, tags=["Expenses"])
# Add other v1 endpoint routers here later
# e.g., api_router_v1.include_router(users.router, prefix="/users", tags=["Users"])